# Case study of existing CA certificates

- [CAcert](cacert.md)
- [Certum](certum.md)
- [D-Trust](dtrust.md)
- [GlobalSign](globalsign.md)
- [Letsencrypt](letsencrypt.md)
- [Sectigo](sectigo.md)

## Generating the Markdown/SVG files

1. Get the CA certificates of the CAs from their corresponding web sites

   ```shell
   poetry run python3 fetch_ca_certs.py
   ```

3. Run the generation script and filter through `pandoc` for better markdown layout

   ```shell
   for dir in cacert certum dtrust globalsign letsencrypt sectigo
   do
     poetry run python3 analyze_certs.py $dir | \
     pandoc -f markdown -t gfm > $dir.md
   done
   ```
## Compare certificates

There is a script `compare_certs.py` that can be used to compare a certificate with other certificates.
The script generates markdown.

Example usage:

   ```shell
   poetry run python3 compare_certs.py cacert/root_X0F.crt certum/CA.crt globalsign/root-r6.crt | \
   pandoc -f markdown -t gfm > compare_root_cas.m
   ```